#pragma once
#ifndef _MAINMENU_H
#define _MAINMENU_H

#include "GlobalDataStruct.h"
#include "RetroEngine.h"
#include "GameplayLoop.h"

struct MainMenuEntry {
    char *label;
    int bestTime; // in seconds
    LevelDataStruct *data;
};

class CMainMenu {
private:
    MainMenuEntry *menuItems;
    int nMenuItems;
    GlobalData *globals;
    int currentMenuItem;
    void DrawMenu();
    void fadeIn();
    void fadeOut();
	void loadBestTimes();
	void saveBestTimes();

public:
    void Init(GlobalData *inGlobals);
    int Loop();
    CMainMenu():menuItems(NULL),nMenuItems(0),globals(NULL) {};
};

#endif //_MAINMENU_H
